Skip to navigation

Export an SMS campaign's recipients

View as Markdown
It returns the background process ID which on completion calls the notify URL that you have set in the input.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Path parameters

campaignIdlongRequired
id of the campaign

Request

Values to send for a recipient export request
recipientsTypeenumRequired
Filter the recipients based on how they interacted with the campaign
notifyURLstringOptionalformat: "url"

URL that will be called once the export process is finished. For reference, https://help.brevo.com/hc/en-us/articles/360007666479

Response

process id created
processIdlong
Id of the process created

Errors

400
Bad Request Error
404
Not Found Error